import config.Globals;
import db.DBApiEntry;
import db.DBVal;
import db.Point;
import db.Util;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class TestGetSumValueList {

    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
        int port = Globals.port;
        List<Point> points = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            String metricName = "metricName";
            HashMap<String, String> tags = new HashMap<>();
            tags.put("pointName", "pointName_test11" + i);
            tags.put("status", "3");
            points.add(new Point(metricName, tags));
        }

        String start = "2021-08-15 10:00:01";
        String end = "2021-08-15 10:00:02";
        long startTime = Util.dateStringToUTCNanoseconds(start);
        long endTime = Util.dateStringToUTCNanoseconds(end);

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        List<DBVal> dbvals = entry.calAggOverTimeForManyPts(points, "sum", startTime, endTime);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd - testBegin));
        System.out.println(String.format("result:%s", dbvals));
    }

}
